slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSetOperators

Sets the coefficient matrices associated with the polynomial eigenvalue problem.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetOperators(PEP pep,PetscInt nmat,Mat A[])

Collective

### Input Parameters

| pep | - the eigenproblem solver context
| nmat | - number of matrices in array A
| A | - the array of matrices associated with the eigenproblem

### Notes

The polynomial eigenproblem is defined as P(l)*x=0, where l is the eigenvalue, x is the eigenvector, and P(l) is defined as P(l) = A_0 + l*A_1 + ... + l^d*A_d, with d=nmat-1 (the degree of P). For non-monomial bases, this expression is different.

### See Also

PEPSolve(), PEPGetOperators(), PEPGetNumMatrices(), PEPSetBasis()

### Level

beginner

### Location

src/pep/interface/pepsetup.c

### Examples

src/pep/tutorials/ex16.c
src/pep/tutorials/ex16f.F90
src/pep/tutorials/ex17.c
src/pep/tutorials/ex28.c
src/pep/tutorials/ex38.c
src/pep/tutorials/ex40.c
src/pep/tutorials/ex50.c
src/pep/tutorials/nlevp/acoustic_wave_1d.c
src/pep/tutorials/nlevp/acoustic_wave_2d.c
src/pep/tutorials/nlevp/butterfly.c
src/pep/tutorials/nlevp/damped_beam.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages